import GithubSlugger from 'github-slugger';
const defaultTaskListsOption = {
    enable: true,
    label: true,
    labelAfter: true,
};
const defaultMarkdownItOption = {
    codeHighlight: false,
    math: false,
    disableRules: [],
    html: false,
    taskListsOption: defaultTaskListsOption,
};
const defaultLinkifyOptions = {
    fuzzyEmail: false,
    fuzzyLink: false,
    fuzzyLinkUseHttps: true,
};
const anchorOption = {
    level: 1,
    slugify(str) {
        const result = new GithubSlugger().slug(str);
        return result === '' ? '_' : result;
    },
};
export { defaultTaskListsOption, defaultMarkdownItOption, defaultLinkifyOptions, anchorOption, };
//# sourceMappingURL=option.js.map